#include<bits/stdc++.h>

using namespace std;
#define int long long

int32_t main() {
    ios_base::sync_with_stdio(false);
    cin.tie();
    int n,k;
    cin >> n >> k;
    vector<int> a(n);
    int ans = 0;
    for(int i = 0; i < n; ++i) cin >> a[i];
    for(int i = 0; i < (1 << n); ++i){
        int cnt = 0;
        int u = 0;
        int y= 0;
        for(int j = 0; j < n; ++j){
            if((i >> j) & 1) cnt++,u = j,y+=a[j];
        }
        if(cnt == k){
            ans = max(ans,j + 1 +y );
        }
    }
    return 0;
}
